#
# spec file for package python-requests-file
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%{?sle15_python_module_pythons}
Name:           python-requests-file
Version:        1.5.1
Release:        4.1
Summary:        File transport adapter for Requests
License:        Apache-2.0
URL:            https://github.com/dashea/requests-file
Source:         https://files.pythonhosted.org/packages/source/r/requests-file/requests-file-%{version}.tar.gz
BuildRequires:  %{python_module requests}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module six}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-requests
BuildArch:      noarch
%python_subpackages

%description
Requests-File is a transport adapter for use with the Requests Python
library to allow local filesystem access via file:// URLs.

%prep
%setup -q -n requests-file-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pyunittest discover -v tests

%files %{python_files}
%license LICENSE
%doc README.rst
%{python_sitelib}/requests_file.py
%pycache_only %{python_sitelib}/__pycache__/requests_file.*.py*
%{python_sitelib}/requests_file-%{version}*info

%changelog
* Sat Jul  1 2023 ecsos <ecsos@opensuse.org>
- Add %%{?sle15_python_module_pythons}
* Fri Jun 16 2023 Steve Kowalik <steven.kowalik@suse.com>
- Add missing six BuildRequires.
- Stop using greedy globs in %%files.
* Thu Jun  3 2021 pgajdos@suse.com
- %%check: use %%pyunittest rpm macro
* Mon Aug  3 2020 Marketa Calabkova <mcalabkova@suse.com>
- update to 1.5.1
  * Fix python 2.7 compatibility
  * Rename test file for pytest
  * Add tests via github actions
  * Format code with black
  * Add set_content_length flag to disable on demand setting Content-Length
* Tue Dec  4 2018 Matej Cepl <mcepl@suse.com>
- Remove superfluous devel dependency for noarch package
* Sat Jan  6 2018 arun@gmx.de
- specfile:
  * update copyright year
- update to version 1.4.3:
  * Skip the permissions test when running as root
  * Handle missing locale in tests
* Thu May 11 2017 toddrme2178@gmail.com
- Implement single-spec version.
- Fix source URL.
- Update to version 1.4.2
  * Set the response URL to the request URL
- Update to version 1.4.1
  * Add a wheel distribution
* Tue Feb  2 2016 toddrme2178@gmail.com
- Initial version
